#include <mysql.h>


int verifica(MYSQL *mysql);
int write_in_txt(FILE *, MYSQL_RES *);
MYSQL conn;   /* dbd: data base descriptor */


static int IsOpen = 0;
int verbosity;
FILE *fp;

char *ctime(), *err_log;
long time(), now;
#include <stdio.h>

/*****************************/
/* Field Types               */

#define DB_CHAR_FLD      'C'
#define DB_LOGICAL_FLD   'L'
#define DB_NUMERIC_FLD   'N'
#define DB_DATE_FLD      'D'
#define DB_MEMO_FLD      'M'
#define DB_FLOAT_FLD     'F'

/*****************************/
/* File Status Codes         */

#define DB_CLOSED  0
#define DB_OPEN    1
#define DB_UPDATED 2

/*****************************/
/* Other defines             */

#define DB_OVERLAY     1    
#define DB_DONTOVERLAY 0
#define DB_ERROR	-1
#define DB_NO_ERROR	0
#define EndianType	'L'

/*****************************/
/* Error Phrases             */
#define DB_ERROR_WRITING_HEADER     "error while writing the header"
#define DB_MEMORY_ERROR             "error while getting memory"

/*****************************/
/* Return Error Codes        */
#define ERR_WRONG_NUM_ARGUMENTS		-11
#define ERR_OPEN_TWICE			-12
#define ERR_CANNOT_CREATE_STRUCTURE	-13
#define ERR_CANNOT_CONNECT		-14
#define ERR_NO_DB_OPEN    		-15
#define ERR_CONNECTION_LOST		-16
#define ERR_CANNOT_EXEC_SELECT		-17
#define ERR_CANNOT_RECOVERY_RESULT	-18
#define ERR_CANNOT_OPEN_TMP_FILE	-19
#define ERR_CANNOT_WRITE_TMP_FILE	-20
#define ERR_EXECUTING_NO_SELECT         -21
#define ERR_CANNOT_FETCH_ROWS		-22
#define ERR_CANNOT_ALLOCATE_MEM		-23
#define ERR_DATA_NOT_SUPPORTED		-24
#define ERR_INVALID_SCHEMA   		-25
#define ERR_EXCEED_NUM_ARRY_ELEM 	-26
